diff --git a/opal/util/event.c b/opal/util/event.c
index aab045220d0..afca3059f38 100644
--- a/opal/util/event.c
+++ b/opal/util/event.c
@@ -12,6 +12,7 @@
  * Copyright (c) 2017      IBM Corporation.  All rights reserved.
  * Copyright (c) 2018-2020 Amazon.com, Inc. or its affiliates.  All
  *                         Rights reserved.
+ * Copyright (c) 2022      Google, LLC. All rights reserved.
  * $COPYRIGHT$
  *
  * Additional copyrights may follow
@@ -47,6 +48,8 @@ int opal_event_register_params(void)
 
 #ifdef __APPLE__
     opal_event_module_include = "select";
+#elif defined(__linux__)
+    opal_event_module_include = "epoll";
 #else
     opal_event_module_include = "poll";
 #endif
